User Filter Plugin
------------------

Update, or the curse of a full-time-job:
I updated UserFilter to work with gtk 2.0 and gimp 1.3. There are still
things to fix, like removing the deprecated CList code. But nowadays I've
got a full-time programming job, and there is little motivation and energy
left when work is over...
I will try to squeze in another update sometime, but for now this should
make User Filter at least useable again.

-- Jens

This is far from beeing complete, or correct. 
But you can experiment with it. It's fun.

For information about Filter Factory, look at:

http://www.fhd-stuttgart.de/~ws01/fffaq.htm
-or-
http://pluginhead.eyecandy.com/ffc.htm
-or-
http://www.netins.net/showcase/wolf359/fffaq.htm

This version of the user_filter plugin can load compiled and uncompiled
FilterFactory plug-ins (*.afs, *.txt and *.8bf), and FilterFactory Libraries
(*.ffl).
Please note: "normal" Photoshop filters are using the extenion .8bf, too,
but they can't be used with this plug-in.

Usage:
Copy new filters into the path for userfilter, and they will automatically
appear in the Filter Manager.
But you can use the load/save entries in the File-menu, too.

Preview: This is a 1:1 preview of the applied filter. It is always active,
if the "enable update" checkbox is enabled.
Values: You can use these sliders to modify parameters for a filter.
Edit: You can edit a filter's code here.
Filter Manager: This is a list of all filters, that can be found in the
userfilter path.
About: Some information about a filter

I added a library of Freeware filters by Andrew Buckle, it's the file 
"AndrewsFilters.ffl". I've got the O.K. from him to include it.
Put it into your userfilter path and enjoy a large library of excellent
filters !
(If you get problems with his filters, please assume that his filter is
working correctly in Photoshop, and that my interpreter has a bug.)

A small info about Andrew:
"Can't really add much about myself - you could put that I am currently
developing a number of CDs of graphics resources for use with MetaCreation's
Painter and Painter 3D; created over 1000 plugins; producing other resource
CDs at the moment and my web site is http://members.aol.com/abex01 - oh, also
creating plugin brushes for Painter for Windows and MAC. Also design record
and magazine covers, etc."
You can contact him at <ABEX01@aol.com>.

For bug-reports, comments, suggestions and feature-requests write to
Jens Ch. Restemeier <jrestemeier@currantbun.com>

Thanks:
FF decompiler code was made with the help of 
	Michael Johannhanwahr <mjohannh@mail.hb.provi.de> 
and 
	Eugene Sandulenko <eugene-s@usa.net>.
Many thanks go to Michael for his help with the user-filter's optimision and
correction.
